Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Class Progress

    Object
      CodeList<Progress>
          Progress

All Implemented Interfaces:
  Serializable, Comparable<Progress>

    @UML(identifier="MD_ProgressCode",
         specification=ISO_19115)
    public final class Progress

extends CodeList<Progress>

Status of the dataset or progress of a review.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static Progress` | `COMPLETED` Production of the data has been completed.
`static Progress` | `HISTORICAL_ARCHIVE` Data has been stored in an offline storage facility
`static Progress` | `OBSOLETE` Data is no longer relevant.
`static Progress` | `ON_GOING` Data is continually being updated.
`static Progress` | `PLANNED` Fixed date has been established upon or by which the data will be created or updated.
`static Progress` | `REQUIRED` Data needs to be generated or updated.
`static Progress` | `UNDER_DEVELOPMENT` Data is currently in the process of being created.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static Progress` | `valueOf(String code)` Returns the Progress that matches the given string, or returns a new one if none match it.
`static Progress[]` | `values()` Returns the list of `Progress`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPLETED

    @UML(identifier="completed",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Progress COMPLETED

  Production of the data has been completed.

### HISTORICAL_ARCHIVE

    @UML(identifier="historicalArchive",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Progress HISTORICAL_ARCHIVE

  Data has been stored in an offline storage facility

### OBSOLETE

    @UML(identifier="obsolete",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Progress OBSOLETE

  Data is no longer relevant.

### ON_GOING

    @UML(identifier="onGoing",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Progress ON_GOING

  Data is continually being updated.

### PLANNED

    @UML(identifier="planned",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Progress PLANNED

  Fixed date has been established upon or by which the data will be created or updated.

### REQUIRED

    @UML(identifier="required",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Progress REQUIRED

  Data needs to be generated or updated.

### UNDER_DEVELOPMENT

    @UML(identifier="underdevelopment",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Progress UNDER_DEVELOPMENT

  Data is currently in the process of being created.

Method Detail

### values

    public static Progress[] values()

  Returns the list of `Progress`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<Progress>`

### valueOf

    public static Progress valueOf(String code)

  Returns the Progress that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.